{{/*
SPDX-FileCopyrightText: 2024 Univention GmbH
SPDX-License-Identifier: AGPL-3.0-only
*/}}
{{- if .Values.proxy.serviceAccount.create }}
---
apiVersion: "v1"
kind: "ServiceAccount"
metadata:
  name: {{ printf "%s-proxy" (include "common.names.fullname" .) }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.proxy.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.proxy.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  annotations:
    {{- if .Values.proxy.serviceAccount.annotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.proxy.serviceAccount.annotations "context" . ) | nindent 4 }}
    {{- end }}
    {{- if .Values.proxy.additionalAnnotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.proxy.additionalAnnotations "context" . ) | nindent 4 }}
    {{- end }}
automountServiceAccountToken: {{ .Values.proxy.serviceAccount.automountServiceAccountToken }}
...
{{- end }}
